# ImageByteFormat enum

The format in which image bytes should be returned when using Image.toByteData.

## Constants

png → const ImageByteFormat

  PNG format.

  A loss-less compression format for images. This format is well suited for images with hard edges, such as screenshots or sprites, and images with text. Transparency is supported. The PNG format supports images up to 2,147,483,647 pixels in either dimension, though in practice available memory provides a more immediate limitation on maximum image size.

  PNG images normally use the `.png` file extension and the `image/png` MIME type.

  See also:

  - en.wikipedia.org/wiki/Portable_Network_Graphics, the Wikipedia page on PNG.
  - tools.ietf.org/rfc/rfc2083.txt, the PNG standard.
  `const ImageByteFormat(2)`
rawRgba → const ImageByteFormat

  Raw RGBA format.

  Unencoded bytes, in RGBA row-primary form, 8 bits per channel.

  `const ImageByteFormat(0)`
rawUnmodified → const ImageByteFormat

  Raw unmodified format.

  Unencoded bytes, in the image's existing format. For example, a grayscale image may use a single 8-bit channel for each pixel.

  `const ImageByteFormat(1)`
values → const List<ImageByteFormat>

  A constant List of the values in this enum, in order of their declaration.

  `const List<ImageByteFormat>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited